- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates a site in a channel.
HTTP request
POST https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/channels/{channelId}/sites
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
channelId |
Required. The ID of the parent channel in which the site will be created. |
| Required. Identifies the DV360 entity that owns the parent channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
advertiserId |
The ID of the advertiser that owns the parent channel. |
| End of mutually exclusive fields. | |
Query parameters
| Parameters | |
|---|---|
| Required. Identifies the DV360 entity that owns the parent channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
partnerId |
The ID of the partner that owns the parent channel. |
| End of mutually exclusive fields. | |
Request body
The request body contains an instance of Site.
Response body
If successful, the response body contains a newly created instance of Site.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.